PostgreSQL 7.1.3 Documentation
Prev |  | Next

# SPI_getvalue

## Name

SPI_getvalue -- Returns the string value of the specified attribute

## Synopsis

    SPI_getvalue(tuple, tupdesc, fnumber)

### Inputs

HeapTuple `tuple`

  Input tuple to be examined

TupleDesc `tupdesc`

  Input tuple description

int `fnumber`

  Attribute number

### Outputs

char *

  Attribute value or NULL if

  attribute is NULL
  fnumber is out of range (SPI_result set to SPI_ERROR_NOATTRIBUTE)
  no output function available (SPI_result set to SPI_ERROR_NOOUTFUNC)

## Description

`SPI_getvalue` returns an external (string) representation of the value of the specified attribute.

## Usage

Attribute numbers are 1 based.

## Algorithm

Allocates memory as required by the value.

Prev | Home | Next
SPI_fname | Up | SPI_getbinval